package com.artfess.cqlt.task.job;

import com.artfess.job.model.BaseJob;
import lombok.extern.slf4j.Slf4j;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.springframework.transaction.annotation.Transactional;

/**
 * 泛微人员数据同步
 */
@Slf4j
public class AsyncUserJob extends BaseJob {



	@Override
	@Transactional(rollbackFor = Exception.class)
	public void executeJob(JobExecutionContext context)  {
		log.info("泛微人员同步");
		JobDataMap jobDataMap = context.getJobDetail().getJobDataMap();
	}

}
